Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodecdatasectionnodeattribute Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodecdatasectionnodeattribute (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getAttributes()" method invoked on a CDATASection Node returns null.

Retrieve the CDATASection node contained inside the second child of the second employee and invoke the "getAttributes()" method on the CDATASection node. It should return null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-84CF096 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-667469212

Definition at line 46 of file nodecdatasectionnodeattribute.java.

## Constructor & Destructor Documentation

nodecdatasectionnodeattribute::nodecdatasectionnodeattribute | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 48 of file nodecdatasectionnodeattribute.java.
    00049  {
    00050       super(factory);
    00051
    00052    }

## Member Function Documentation

String nodecdatasectionnodeattribute::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 68 of file nodecdatasectionnodeattribute.java.
    00068                                 {
    00069       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodecdatasectionnodeattribute";
    00070    }

void nodecdatasectionnodeattribute::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 71 of file nodecdatasectionnodeattribute.java. References DOMTestCase::doMain().
    00071                                           {
    00072         DOMTestCase.doMain(nodecdatasectionnodeattribute.class,args);
    00073    }

void nodecdatasectionnodeattribute::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 54 of file nodecdatasectionnodeattribute.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00054                                                     {
    00055       Document doc;
    00056       NodeList elementList;
    00057       Element cdataName;
    00058       Node cdataNode;
    00059       NamedNodeMap attrList;
    00060       doc = load("staff");
    00061       elementList = doc.getElementsByTagName("name");
    00062       cdataName = (Element)elementList.item(1);
    00063       cdataNode = cdataName.getLastChild();
    00064       attrList = cdataNode.getAttributes();
    00065       assertNull("nodeCDATASectionNodeAttributesAssert1",attrList);
    00066
    00067    }

The documentation for this class was generated from the following file:

- nodecdatasectionnodeattribute.java